Public Class MainForm
    'SDK interface definitions.
    Private Declare Function CreatePDF Lib "ps2pdf.dll" Alias "_CreatePDF@4" (ByVal lpFileName As String) As Integer
    Private Declare Sub ClosePDF Lib "ps2pdf.dll" Alias "_ClosePDF@4" (ByVal id As Integer)
    Private Declare Function SetPDFSecurity Lib "ps2pdf.dll" Alias "_SetPDFSecurity@20" (ByVal id As Integer, ByVal level As Integer, ByVal limit As Integer, ByVal szUserPassword As String, ByVal szOwnerPassword As String) As Integer
    Private Declare Function SetPDFInfo Lib "ps2pdf.dll" Alias "_SetPDFInfo@24" (ByVal id As Integer, ByVal Title As String, ByVal Subject As String, ByVal Author As String, ByVal Keywords As String, ByVal Creator As String) As Integer
    Private Declare Function AddPS Lib "ps2pdf.dll" Alias "_AddPS@8" (ByVal id As Integer, ByVal lpFileName As String) As Integer
    Private Declare Function Convert Lib "ps2pdf.dll" Alias "_Convert@4" (ByVal id As Integer) As Integer

    'document permissions
    Const PERMISSION_PRINT = 1
    Const PERMISSION_COPY = 2
    Const PERMISSION_MODIFY = 4

    'Encryption Level
    Const RC4_40BITS = 40
    Const RC4_128BITS = 128

    'Converting several ps/eps files to one pdf file.
    Private Sub btnDemo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDemo.Click
        Dim id As Long
        Dim iPermission As Long
        Dim sUserPw As String
        Dim sOwnerPw As String

        'create pdf file
        id = CreatePDF("test_mm.pdf")
        If id <> 0 Then
            'setting pdf header information
            SetPDFInfo(id, "title", "subject", "author", "keywords", "createor")

            'setting pdf security
            iPermission = PERMISSION_PRINT Or PERMISSION_COPY Or PERMISSION_MODIFY
            sUserPw = "user"
            sOwnerPw = "owner"

            SetPDFSecurity(id, RC4_128BITS, iPermission, sUserPw, sOwnerPw)

            'add PS/EPS files
            AddPS(id, "./ps_files/test1.ps")
            AddPS(id, "./ps_files/test2.ps")
            AddPS(id, "./ps_files/test3.ps")

            'starting convet
            Convert(id)

            'close pdf file
            ClosePDF(id)
        End If
    End Sub
End Class
